Data Atom - Query your DB from Atom

#1

Hey all,

Thought I’d let you all know about a package that I have been working on. It’s called Data Atom - https://atom.io/packages/data-atom

You can connect to Postgresql and run your queries and see the results etc. More DB back-ends are planned (and more features).

It is pretty early days and rough around the edges, but I’d love some feedback, or feel free to make pull requests or open issues on GitHub.

Cheers
Luke

0 Likes

#2

Hi I am getting this error while downloading your package what to do?

Installing “data-atom@0.29.1” failed.Hide output…
Failed to install data-atom because Git was not found.

Can you explain me which path to add in environment variable ?

0 Likes

#3

And how to do this

Run apm -v after installing Git to see what version has been detected.

0 Likes

#4

Where did you install git? Go there and find the git.exe file and add the path of the folder it’s in.

Open the command line and type apm -v.

0 Likes

#5

Yeah I did , I searched in my user folder in c and copied that till github after which lies the language-my language folder which I then pasted in environmental folder in path

0 Likes

#6

Are you sure you got the right folder? I’ve never heard of git installing itself in the user folder. Mine is here:

0 Likes

#7

https://desktop.github.com/ you are talking about this app right ?

0 Likes

#8

I had installed this app but there is no folder of git in program files

0 Likes

#9

That’s GitHub Desktop, not git. GitHub Desktop is a git client, and includes git somewhere in its files, but I don’t know if that’s accessible from the command line and based on the error message from Atom it probably isn’t.

I want you to go to Google and type “download git” into the search bar. It will bring you to this page, but I want you to perform the search yourself so that you can get a visual memory of the results that will strengthen the learning process. Once you download and install the file you find there, you will be able to issue git commands on the command line and the error message with Atom should be resolved the next time you start Atom.

0 Likes

#10

Yes,I downloaded git and it successfully installed the data atom package but how do I connect it with atom ?

0 Likes

#11

You don’t connect anything with Atom. You edit the connection configurations for data-atom and follow the usage instructions in its readme. If data-atom itself doesn’t work, you’ll want to ask the author about it at the repository or in this thread, but since @lukem hasn’t responded to any issues posted in the past year and hasn’t made any updates to the repo since September, it might be abandoned, so use at your own risk.

1 Like

#12

No problem I will go according to instruction or will use another if required IDE( use of another ide will be my last step) though .

0 Likes

#13

although I am getting this error

Error: ER_NOT_SUPPORTED_AUTH_MODE: Client does not support authentication protocol requested by server; consider upgrading MySQL client

any idea?

0 Likes

#14

That sounds like a bug in the package. It’s definitely an error produced by the database, which means that the connection was attempted but with incorrect values.

0 Likes

#15

I filled it accordingly but then also I got the error do you know how to fill it if yes then I can drop the image here ?

0 Likes

#16

No, because I’ve never used the package.

0 Likes

#17

ok :+1::+1:

0 Likes